### Function

# Gtk TickCallback

#### Declaration

    gboolean
    (* GtkTickCallback) (
      GtkWidget* widget,
      GdkFrameClock* frame_clock,
      gpointer user_data
    )

#### Description [src]

Callback type for adding a function to update animations.

See `gtk_widget_add_tick_callback()`.

#### Parameters

`widget`

  Type: `GtkWidget`

  The widget.

  The data is owned by the caller of the function.

`frame_clock`

  Type: `GdkFrameClock`

  The frame clock for the widget.

  The data is owned by the caller of the function.

`user_data`

  Type: `gpointer`

  User data passed to `gtk_widget_add_tick_callback()`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`G_SOURCE_CONTINUE` if the tick callback should continue to be called, `G_SOURCE_REMOVE` if it should be removed.